<?php

namespace Webkul\DamBundle\Filter;

use Webkul\DamBundle\Listener\ClassDefinationForCompatibility;

$versionCompatiblility = new ClassDefinationForCompatibility();
$versionCompatiblility->createClassAliases();

class FilterExtension extends \BaseFilterExtension
{
    /**
     * {@inheritdoc}
     *
     */
    protected function getCategoryFilterConfig($gridName)
    {
        $gridConfigs = [
            'webkul-dam-grid' => [
                'type'      => 'wk_asset_category',
                'data_name' => 'category'
            ]
        ];

        return isset($gridConfigs[$gridName]) ? $gridConfigs[$gridName] : parent::getCategoryFilterConfig($gridName);
    }
}
